header.h File Reference
Digital TV table parsing

Provides the MPEG TS table headers. More...

`#include <stdint.h>`
`#include <unistd.h>`

Go to the source code of this file.

## Data Structures

struct | dvb_ts_packet_header
| Header of a MPEG-TS transport packet. More...
struct | dvb_table_header
| Header of a MPEG-TS table. More...

## Functions

void | dvb_table_header_init (struct dvb_table_header *header)
| Initializes and parses MPEG-TS table header.
void | dvb_table_header_print (struct dvb_v5_fe_parms *parms, const struct dvb_table_header *header)
| Prints the content of the MPEG-TS table header.

## Detailed Description

Provides the MPEG TS table headers.

Copyright
  GNU Lesser General Public License version 2.1 (LGPLv2.1)

Author
  Mauro Carvalho Chehab
  Andre Roth

Bug Report
  Please submit bug reports and patches to linux.nosp@m.-med.nosp@m.ia@vg.nosp@m.er.k.nosp@m.ernel.nosp@m..org

Definition in file header.h.